Skip to main content
GET
/
o
/
{organisation_id}
/
systems
Lists the systems for the organisation.
curl --request GET \
  --url https://platform.versori.com/api/v2/o/{organisation_id}/systems \
  --header 'Authorization: Bearer <token>'
{
  "totalCount": 123,
  "items": [
    {
      "id": "<string>",
      "name": "<string>",
      "domain": "<string>",
      "authSchemeConfigs": [
        {
          "type": "none",
          "none": {
            "id": "<string>",
            "description": "<string>",
            "validationMessages": [
              {
                "text": "<string>",
                "severity": "info",
                "detail": [
                  "<string>"
                ]
              }
            ]
          },
          "apiKey": {
            "id": "<string>",
            "description": "<string>",
            "name": "<string>",
            "in": "query",
            "validationMessages": [
              {
                "text": "<string>",
                "severity": "info",
                "detail": [
                  "<string>"
                ]
              }
            ]
          },
          "basicAuth": {
            "id": "<string>",
            "description": "<string>",
            "validationMessages": [
              {
                "text": "<string>",
                "severity": "info",
                "detail": [
                  "<string>"
                ]
              }
            ]
          },
          "oauth2": {
            "id": "<string>",
            "description": "<string>",
            "tokenUrl": "<string>",
            "scopes": [
              {
                "name": "<string>",
                "description": "<string>"
              }
            ],
            "defaultScopes": [
              "<string>"
            ],
            "grant": {
              "type": "authorizationCode",
              "authorizationCode": {
                "credentialId": "<string>",
                "organisationId": "<string>",
                "clientId": "<string>",
                "clientSecret": "<string>"
              },
              "clientCredentials": {},
              "password": {
                "credentialId": "<string>",
                "organisationId": "<string>",
                "clientId": "<string>",
                "clientSecret": "<string>"
              }
            },
            "validationMessages": [
              {
                "text": "<string>",
                "severity": "info",
                "detail": [
                  "<string>"
                ]
              }
            ],
            "authorizeUrl": "<string>",
            "additionalAuthorizeParams": "<string>",
            "additionalTokenParams": "<string>",
            "mtlsEnabled": true,
            "mtlsCredentialId": "<string>",
            "pkce": true
          },
          "oauth1": {
            "id": "<string>",
            "description": "<string>",
            "consumerKey": "<string>",
            "consumerSecret": "<string>",
            "signatureMethod": "<string>",
            "validationMessages": [
              {
                "text": "<string>",
                "severity": "info",
                "detail": [
                  "<string>"
                ]
              }
            ],
            "tokenAuth": true,
            "tempCredentialEndpoint": {
              "url": "<string>",
              "additionalParamConfigs": [
                {
                  "parameterName": "<string>",
                  "location": "LOCATION_IGNORE",
                  "required": true,
                  "modifiable": true,
                  "targetName": "<string>",
                  "usages": "USAGE_UNKNOWN"
                }
              ],
              "parameterTransmission": "AUTH_STYLE_AUTHORIZATION_HEADER"
            },
            "resourceOwnerAuthorizationEndpoint": {
              "url": "<string>",
              "additionalParamConfigs": [
                {
                  "parameterName": "<string>",
                  "location": "LOCATION_IGNORE",
                  "required": true,
                  "modifiable": true,
                  "targetName": "<string>",
                  "usages": "USAGE_UNKNOWN"
                }
              ],
              "parameterTransmission": "AUTH_STYLE_AUTHORIZATION_HEADER"
            },
            "tokenEndpoint": {
              "url": "<string>",
              "additionalParamConfigs": [
                {
                  "parameterName": "<string>",
                  "location": "LOCATION_IGNORE",
                  "required": true,
                  "modifiable": true,
                  "targetName": "<string>",
                  "usages": "USAGE_UNKNOWN"
                }
              ],
              "parameterTransmission": "AUTH_STYLE_AUTHORIZATION_HEADER"
            },
            "credentialId": "<string>"
          },
          "hmac": {
            "id": "<string>",
            "description": "<string>",
            "name": "<string>",
            "in": "query",
            "algorithm": "sha1",
            "digestInputs": [
              "body"
            ],
            "encoding": "hex",
            "validationMessages": [
              {
                "text": "<string>",
                "severity": "info",
                "detail": [
                  "<string>"
                ]
              }
            ]
          },
          "certificate": {
            "id": "<string>",
            "description": "<string>",
            "validationMessages": [
              {
                "text": "<string>",
                "severity": "info",
                "detail": [
                  "<string>"
                ]
              }
            ]
          }
        }
      ],
      "templateBaseUrl": "<string>"
    }
  ],
  "next": "<string>",
  "prev": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.versori.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token authentication used by the Versori Platform. External consumers must provide an API key, however internal consumers must provide a JWT id_token issued by our IdP.

Path Parameters

organisation_id
string<ulid>
required

Query Parameters

first
integer
default:20
after
string
before
string

Response

200 - application/json

OK

TriggerPage defines a paginated list of Triggers.

totalCount
integer
required
items
object[]
required
next
string
prev
string